uniform mat4 mvp;

in vec4 Position;
in mediump vec4 Color;
uniform mediump vec4 color;
uniform lowp float t;
out mediump vec4 colorV;

void main(void) {
	colorV = vec4(1., 1., 1., Color.r);
	colorV.a += Color.g * (sin(Color.b - t * 2.) * 0.5 + 0.5);
	colorV.a *= 8.0; //colorV.a*colorV.a;
	gl_Position = mvp * Position;
}